# Interface methods for submodule: VectorImage
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageBaseProxy as _ImageBaseProxy


# Interface methods for class: VectorImage
class VectorImageProxy(_ImageBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Allocate(self, UseValueInitialization: bool = False) -> None:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def FillBuffer(self, value) -> None:
		""""""
		...

	def SetPixel(self, index: Sequence[int], value) -> None:
		""""""
		...

	def GetPixel(self, index: Sequence[int]):
		""""""
		...

	def GetBufferPointer(self):
		""""""
		...

	def GetPixelContainer(self):
		""""""
		...

	def SetPixelContainer(self, container) -> None:
		""""""
		...

	def Graft(self, image) -> None:
		""""""
		...

	def GetPixelAccessor(self):
		""""""
		...

	def GetNeighborhoodAccessor(self):
		""""""
		...

	def SetVectorLength(self, _arg: int) -> None:
		""""""
		...

	def GetVectorLength(self) -> int:
		""""""
		...

	def GetNumberOfComponentsPerPixel(self) -> int:
		""""""
		...

	def SetNumberOfComponentsPerPixel(self, n: int) -> None:
		""""""
		...

